tuscany-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Sebastien Delfino <jsdelf...@apache.org>
Subject Re: Saxon versions - was: Release 1.1 - what will be ready for next week?
Date Wed, 02 Jan 2008 19:04:32 GMT
[snip]
Simon Laws wrote:
> 
> Looking at what we have at the moment the main issue I'm having is with
> Saxon. implementation-bpel depends on 8.7 and other parts of Tuscany, e.g.
> xml-bigbank, have a dependency on 9.0.0.2. I tried bringing
> implementation-bpel up to 9.0.0.2 with no luck. Is there someone who has
> been working on these areas that can advise how we can rationalize.
> 
> The result at the moment is that we end up with a mixed set of jar versions
> added to the distribution and hence some of the samples/demos can't find the
> jars they require. I can't determine exactly how the jars are chosen. It
> could be the first or last module to specify a dependency or something else
> as we get some jars at 8.7 and some at 9.0.0.2. Can someone tell me how the
> distribution build chooses which jar version to ship.
> 
> Thanks
> 
> Simon
> 

The ODE runtime used by Tuscany's implementation-bpel is built with 
saxon 8.7 (look for saxon in [1]).

In Tuscany v1.0.1 implementation-xquery and databinding-saxon worked 
with saxon 8.7.

I'd suggest to try saxon 8.7, implementation-xquery from trunk or 
v1.0.1, databinding-saxon from Tuscany v1.0.1.

[1] https://svn.apache.org/repos/asf/ode/trunk/Rakefile
-- 
Jean-Sebastien

---------------------------------------------------------------------
To unsubscribe, e-mail: tuscany-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: tuscany-dev-help@ws.apache.org


Mime
View raw message